com.google.cloud.dataflow.sdk.options

## Enum DataflowPipelineWorkerPoolOptions.TeardownPolicy

- java.lang.Object
- - java.lang.Enum<DataflowPipelineWorkerPoolOptions.TeardownPolicy>
  - - com.google.cloud.dataflow.sdk.options.DataflowPipelineWorkerPoolOptions.TeardownPolicy

All Implemented Interfaces:
  Serializable, Comparable<DataflowPipelineWorkerPoolOptions.TeardownPolicy>

Enclosing interface:
  DataflowPipelineWorkerPoolOptions

Deprecated.
Dataflow Service will only support TEARDOWN_ALWAYS policy in the future.

    @Deprecated
    public static enum DataflowPipelineWorkerPoolOptions.TeardownPolicy
    extends Enum<DataflowPipelineWorkerPoolOptions.TeardownPolicy>

The policy for tearing down the workers spun up by the service.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`TEARDOWN_ALWAYS` Deprecated. All VMs created for a Dataflow job are deleted when the job finishes, regardless of whether it fails or succeeds.
`TEARDOWN_NEVER` Deprecated. All VMs created for a Dataflow job are left running when the job finishes, regardless of whether it fails or succeeds.
`TEARDOWN_ON_SUCCESS` Deprecated. All VMs created for a Dataflow job are deleted when the job succeeds, but are left running when it fails.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`String` `getTeardownPolicyName()` Deprecated.
`static DataflowPipelineWorkerPoolOptions.TeardownPolicy` `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
`static DataflowPipelineWorkerPoolOptions.TeardownPolicy[]` `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TEARDOWN_ALWAYS

    public static final DataflowPipelineWorkerPoolOptions.TeardownPolicy TEARDOWN_ALWAYS

Deprecated.
All VMs created for a Dataflow job are deleted when the job finishes, regardless of whether it fails or succeeds.

#### TEARDOWN_NEVER

    public static final DataflowPipelineWorkerPoolOptions.TeardownPolicy TEARDOWN_NEVER

Deprecated.
All VMs created for a Dataflow job are left running when the job finishes, regardless of whether it fails or succeeds.

#### TEARDOWN_ON_SUCCESS

    public static final DataflowPipelineWorkerPoolOptions.TeardownPolicy TEARDOWN_ON_SUCCESS

Deprecated.
All VMs created for a Dataflow job are deleted when the job succeeds, but are left running when it fails. (This is typically used for debugging failing jobs by SSHing into the workers.)

### Method Detail

#### values

    public static DataflowPipelineWorkerPoolOptions.TeardownPolicy[] values()

Deprecated.
Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DataflowPipelineWorkerPoolOptions.TeardownPolicy c : DataflowPipelineWorkerPoolOptions.TeardownPolicy.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DataflowPipelineWorkerPoolOptions.TeardownPolicy valueOf(String name)

Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getTeardownPolicyName

    public String getTeardownPolicyName()

Deprecated.